$ErrorActionPreference = 'Stop'; # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://win-installers.admobilize.com/malos-vision/Malos-Vision-2.3.1-win32.msi' # download url, HTTPS preferred
$url64      = 'https://win-installers.admobilize.com/malos-vision/Malos-Vision-2.3.1-win64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64         = $url64
  softwareName  = 'admobilize-malos-vision*'
  checksum      = '722E6EC145B124BA7274F40662377AACC2C2C1B0ECB812AD3703FC01263F9BB4'
  checksum64    = 'C58C5AA825778B071630B5F8106A2B6531427B4B980ED5AE02A26E77D9D55F57'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyEnvironmentVariable -VariableName "OPENCV_VIDEOIO_PRIORITY_MSMF" -VariableValue "0" -VariableType Machine
Install-ChocolateyPath "${env:ProgramFiles}\AdMobilize\Malos Vision\bin" -PathType 'Machine'
